# Disable a user Soft-disables one or more users, marking them as inactive while preserving their records. Request: userIds - List of user IDs to disable. Disabled users have isEnabled set to false. Response: userIds - List of user IDs that were successfully disabled. Endpoint: POST /api/v1/user/disable-user Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `userIds` (array) ## Response 200 fields (application/json): - `userIds` (array) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)